Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 777252 (CVE-2021-28834) - <dev-ruby/kramdown-2.3.1: incorrect class instantiation restriction (CVE-2021-28834)
Summary: <dev-ruby/kramdown-2.3.1: incorrect class instantiation restriction (CVE-2021...
Status: RESOLVED FIXED
Alias: CVE-2021-28834
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal trivial (vote)
Assignee: Gentoo Security
URL:
Whiteboard: ~4 [noglsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-19 12:54 UTC by John Helmert III
Modified: 2021-03-20 14:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2021-03-19 12:54:35 UTC
CVE-2021-28834:

Kramdown before 2.3.1 does not restrict Rouge formatters to the Rouge::Formatters namespace, and thus arbitrary classes can be instantiated.

Patch: https://github.com/gettalong/kramdown/pull/708/commits/d6a1cbcb2caa2f8a70927f176070d126b2422760
Comment 1 Hans de Graaff gentoo-dev 2021-03-20 07:32:56 UTC
kramdown-2.3.1 has been added.
Comment 2 Hans de Graaff gentoo-dev 2021-03-20 07:33:36 UTC
Cleanup done.
Comment 3 John Helmert III gentoo-dev Security 2021-03-20 14:27:36 UTC
All done, thanks!